summaryrefslogtreecommitdiffstats
path: root/source/tcl/expect/expect.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/expect/expect.SlackBuild')
-rwxr-xr-xsource/tcl/expect/expect.SlackBuild36
1 files changed, 20 insertions, 16 deletions
diff --git a/source/tcl/expect/expect.SlackBuild b/source/tcl/expect/expect.SlackBuild
index ca3ecbd2b..f191dc2f4 100755
--- a/source/tcl/expect/expect.SlackBuild
+++ b/source/tcl/expect/expect.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=expect
-VERSION=5.45
-BUILD=${BUILD:-1}
+VERSION=5.45.4
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -59,7 +67,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}${VERSION}
-tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}$VERSION.tar.?z || exit 1
cd ${PKGNAM}$VERSION || exit 1
# Make sure ownerships and permissions are sane:
@@ -76,16 +84,20 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --infodir=/usr/info \
--disable-static \
--with-tclconfig=/usr/lib${LIBDIRSUFFIX} \
--with-tclinclude=/usr/include \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Rename this version of mkpasswd, since it supports fewer ciphers than the
+# version that comes with whois. Still, some people might want to use it.
+mv $PKG/usr/bin/mkpasswd $PKG/usr/bin/mkpasswd.expect
+mv $PKG/usr/man/man1/mkpasswd.1 $PKG/usr/man/man1/mkpasswd.expect.1
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -105,14 +117,6 @@ if [ -d $PKG/usr/man ]; then
)
fi
-# Compress info files, if any:
-if [ -d $PKG/usr/info ]; then
- ( cd $PKG/usr/info
- rm -f dir
- gzip -9 *
- )
-fi
-
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \